Bug 517229 - Network connection is stopped after service Networkmanager was stopped
Summary: Network connection is stopped after service Networkmanager was stopped
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 517267 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 06:06 UTC by Liam Li
Modified: 2009-09-23 08:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 08:32:04 UTC


Attachments (Terms of Use)
network manager (746.97 KB, image/png)
2009-08-13 06:06 UTC, Liam Li
no flags Details

Description Liam Li 2009-08-13 06:06:57 UTC
Created attachment 357275 [details]
network manager

Description of problem:
Network connection is stopped after service Networkmanager was stopped

Version-Release number of selected component (if applicable):

NetworManager-0.7.995-1
How reproducible:
100%

Steps to Reproduce:
1.Boot into system from f12 LiveCD
2.check network connection and make sure it's active
3.stop service NetworkManager,then network connection is stopped. start NetworkManager,then network connection is available. 
  
Actual results:


Expected results:
https://fedoraproject.org/wiki/QA:Testcase_NetworkManager_assume

Additional info:

Comment 1 Niels Haase 2009-08-13 11:34:15 UTC
*** Bug 517267 has been marked as a duplicate of this bug. ***

Comment 2 Jiri Koten 2009-08-13 16:26:20 UTC
The problem is resolved with package
NetworkManager0.7.995-3.git20090813.fc12.x86_64 -
http://koji.fedoraproject.org/koji/buildinfo?buildID=127187

Comment 3 Orion Poplawski 2009-08-13 21:57:51 UTC
I still have the same problem with 0.7.995-3.git20090813.fc12 on an installed system.

[root@ventus ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Broadcom Corporation BCM4401-B0 100Base-TX
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:19:B9:4E:AA:0A
ONBOOT=yes
PEERDNS=yes
PEERROUTES=yes
TYPE=Ethernet
UUID=5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03

Aug 13 15:51:09 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
Aug 13 15:51:09 localhost NetworkManager: <info>  (wlan0): now unmanaged
Aug 13 15:51:09 localhost NetworkManager: <info>  (wlan0): device state change: 2 -> 1 (reason 36) 
Aug 13 15:51:09 localhost NetworkManager: <info>  (eth0): now unmanaged
Aug 13 15:51:09 localhost NetworkManager: <info>  (eth0): device state change: 8 -> 1 (reason 36)                                                           
Aug 13 15:51:09 localhost NetworkManager: <info>  (eth0): deactivating device (reason: 36).    
Aug 13 15:51:09 localhost NetworkManager: <info>  (eth0): canceled DHCP transaction, dhcp client pid 4797
Aug 13 15:51:10 localhost NetworkManager: <WARN>  check_one_route(): (eth0) error -34 returned from rtnl_route_del(): Sucess#012                                              
Aug 13 15:51:10 localhost NetworkManager: <info>  (eth0): cleaning up...
Aug 13 15:51:10 localhost NetworkManager: <info>  (eth0): taking down device.                                       
Aug 13 15:51:10 localhost kernel: b44: eth0: powering down PHY
Aug 13 15:51:10 localhost NetworkManager: <info>  exiting (success)

Comment 4 Orion Poplawski 2009-09-22 22:35:39 UTC
Okay, basically seeing this work with now with eth0 (interface stays up).  However, it still brings down wlan0, even though I've configured it as a "system" interface.  Perhaps this cannot be avoided, though there isn't much explanation as to why wlan0 goes down.

/var/log/messages shows:
Sep 22 16:31:13 localhost NetworkManager: <WARN>  nm_signal_handler(): Caught signal 15, shutting down normally.
Sep 22 16:31:13 localhost avahi-daemon[969]: Interface wlan0.IPv4 no longer relevant for mDNS.
Sep 22 16:31:13 localhost avahi-daemon[969]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.0.34.
Sep 22 16:31:13 localhost dhclient: receive_packet failed on wlan0: Network is down
Sep 22 16:31:13 localhost avahi-daemon[969]: Withdrawing address record for fe80::219:d2ff:fe48:ad08 on wlan0.
Sep 22 16:31:13 localhost avahi-daemon[969]: Withdrawing address record for 192.168.0.34 on wlan0.
Sep 22 16:31:14 localhost NetworkManager: <info>  exiting (success)

NetworkManager-0.7.996-2.git20090921.fc12.x86_64

Comment 5 Dan Williams 2009-09-23 08:30:17 UTC
Hmm, that /var/log/messages shows something sending SIGTERM to NetworkManager, which causes NM to quit. Is that somebody running 'service NetworkManager stop' somewhere?

Comment 6 Dan Williams 2009-09-23 08:31:20 UTC
Gah, ignore that, wrong bug.

Only wired non-802.1x connections are preserved.  Wifi connections have entirely too much state to be kept up.

Comment 7 Dan Williams 2009-09-23 08:32:04 UTC
In any case, fixed in rawhide.  thanks for the testing.


Note You need to log in before you can comment on or make changes to this bug.